Table View

The table view resource.

Basehttps://rest.carbon.ms/tableView
GET/tableView

List table views

Retrieve a paginated list of table views. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/tableView
curl --request GET \
  --url 'https://rest.carbon.ms/tableView?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "name": "Example",
    "table": "string",
    "type": "string",
    "sortOrder": 0,
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string"
  }
]
GET/tableView

Retrieve a table view

Fetch a single table view by filtering on `id`.

Query parameters

idstring

Match on the table view's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/tableView
curl --request GET \
  --url 'https://rest.carbon.ms/tableView?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "table": "string",
  "type": "string",
  "sortOrder": 0,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
POST/tableView

Create a table view

Create a new table view.

Body parameters

namestringrequired
tablestringrequired
descriptionstring
typetableViewTyperequired
sortOrdernumberrequired
columnOrderarray
columnPinningobject
columnVisibilityobject
filtersarray
sortsarray
companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/tableView
curl --request POST \
  --url https://rest.carbon.ms/tableView \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example","table":"string","description":"string","type":"string","sortOrder":0,"companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "table": "string",
  "type": "string",
  "sortOrder": 0,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
PATCH/tableView

Update a table view

Update an existing table view, matched on `id`.

Body parameters

namestringrequired
tablestringrequired
descriptionstring
typetableViewTyperequired
sortOrdernumberrequired
columnOrderarray
columnPinningobject
columnVisibilityobject
filtersarray
sortsarray
companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/tableView
curl --request PATCH \
  --url 'https://rest.carbon.ms/tableView?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"name":"Example"}'
Response
{
  "id": "abc123def456",
  "name": "Example",
  "table": "string",
  "type": "string",
  "sortOrder": 0,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string"
}
DELETE/tableView

Delete a table view

Delete a table view, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the table view to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/tableView
curl --request DELETE \
  --url 'https://rest.carbon.ms/tableView?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content